Ipelib: ipe::PdfObj Class Reference

Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfObj Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherited by ipe::PdfArray, ipe::PdfBool, ipe::PdfDict, ipe::PdfName, ipe::PdfNull, ipe::PdfNumber, ipe::PdfRef, and ipe::PdfString.

## Public Member Functions
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfBool * | boolean () const
virtual const PdfNumber * | number () const
virtual const PdfString * | string () const
virtual const PdfName * | name () const
virtual const PdfRef * | ref () const
virtual const PdfArray * | array () const
virtual const PdfDict * | dict () const
virtual void | write (Stream &stream) const =0
String | repr () const

## Detailed Description

Abstract base class for PDF objects.

## Constructor & Destructor Documentation

PdfObj::~PdfObj | ( |  | ) |
| pure virtual

Pure virtual destructor.

## Member Function Documentation

const PdfNull * PdfObj::null | ( |  | ) | const
| virtual

Return this object as PDF null object.

Reimplemented in ipe::PdfNull.

const PdfBool * PdfObj::boolean | ( |  | ) | const
| virtual

Return this object as PDF bool object.

Reimplemented in ipe::PdfBool.

const PdfNumber * PdfObj::number | ( |  | ) | const
| virtual

Return this object as PDF number object.

Reimplemented in ipe::PdfNumber.

const PdfString * PdfObj::string | ( |  | ) | const
| virtual

Return this object as PDF string object.

Reimplemented in ipe::PdfString.

const PdfName * PdfObj::name | ( |  | ) | const
| virtual

Return this object as PDF name object.

Reimplemented in ipe::PdfName.

const PdfRef * PdfObj::ref | ( |  | ) | const
| virtual

Return this object as PDF reference object.

Reimplemented in ipe::PdfRef.

const PdfArray * PdfObj::array | ( |  | ) | const
| virtual

Return this object as PDF array object.

Reimplemented in ipe::PdfArray.

const PdfDict * PdfObj::dict | ( |  | ) | const
| virtual

Return this object as PDF dictionary object.

Reimplemented in ipe::PdfDict.

virtual void ipe::PdfObj::write | ( | Stream & | stream | ) | const
| pure virtual

Implemented in ipe::PdfDict, ipe::PdfArray, ipe::PdfRef, ipe::PdfName, ipe::PdfString, ipe::PdfNumber, ipe::PdfBool, and ipe::PdfNull.

String PdfObj::repr | ( |  | ) | const

Return PDF representation of the object.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp